Skip to content

List the policy's branch history

Request

Early AccessIdentity Engine
OAuth 2.0 scope:
  • okta.policies.read

Lists all previously live policy branches for a policy, ordered from newest to oldest (in descending order from the most recently archived live branch).

Only applicable to ACCESS_POLICY type policies.

Path
policyIdstringrequired

id of the ACCESS_POLICY

Example:rst1d7xus97faIAgmti0
GET
/api/v1/policies/{policyId}/history
curl -i -X GET \
  https://subdomain.okta.com/api/v1/policies/rst1d7xus97faIAgmti0/history

Responses

Success

Bodyapplication/json
Array [
idstringread-only

The ID of the policy branch (from branchInformation.id)

Example:"rsb1d7xus97faIAgmti"
policyobject(PolicyHistoryEntryPolicy)

The policy branch snapshot, without branch-specific information or navigation links

]
Response
[ { "id": "rsb1d7xus97faIAgmti", "policy": {}, "_links": {} }, { "id": "rsb2k8pqr14hbJCnzuj", "policy": {}, "_links": {} } ]